Subject: Re: bug#33248: python-minimal compilation is breaking

From: George Clemmer <[email-masked]>
Date: Sat, 03 Nov 2018 14:47:18 -0400

Hello,

Christopher Baines <[email-masked]> writes:

>> Most probably you are hitting a resource limit, I guess ram. Do you have
>> any swap?
>
> I think I've hit the same problem, I tried with 32GB of RAM, along with
> 60GB of swap, and it still didn't work.
>
> There is a bug here describing it as a memory link [1], which is a
> better theory I think.
>
> 1: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=33213

Agreed. I had the same problem building ...

/gnu/store/phy1nbsmlml06lkjixjw2dfb4k6wi5al-python-3.6.5.drv...

... where I normally don't and I could see the build leaking [1]

- George

[1] http://lists.gnu.org/archive/html/bug-guix/2018-11/msg00001.html